Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
PandaIOStream Class Reference

Custom implementation of Assimp::IOStream. More...

`#include "pandaIOStream.h"`

Inheritance diagram for PandaIOStream:

## Public Member Functions
| PandaIOStream (std::istream &stream)
size_t | FileSize () const
| Returns the size of this file.
void | Flush ()
| See fflush.
size_t | Read (void *pvBuffer, size_t pSize, size_t pCount)
| See fread.
aiReturn | Seek (size_t pOffset, aiOrigin pOrigin)
| See fseek.
size_t | Tell () const
| See ftell.
size_t | Write (const void *buffer, size_t size, size_t count)
| See fwrite.

## Friends
class | PandaIOSystem

## Detailed Description

Custom implementation of Assimp::IOStream.

It simply wraps around an istream object, and is unable to write.

Definition at line 27 of file pandaIOStream.h.

## Constructor & Destructor Documentation

## ◆ PandaIOStream()

PandaIOStream::PandaIOStream | ( | std::istream & | stream | ) |

Definition at line 21 of file pandaIOStream.cxx.

## ◆ ~PandaIOStream()

virtual PandaIOStream::~PandaIOStream | ( |  | ) |
| inline virtual

Definition at line 30 of file pandaIOStream.h.

## Member Function Documentation

## ◆ FileSize()

size_t PandaIOStream::FileSize | ( |  | ) | const

Returns the size of this file.

Definition at line 28 of file pandaIOStream.cxx.

## ◆ Flush()

void PandaIOStream::Flush | ( |  | ) |

See fflush.

Definition at line 41 of file pandaIOStream.cxx.

## ◆ Read()

size_t PandaIOStream::Read | ( | void * | pvBuffer,
|  | size_t | pSize,
|  | size_t | pCount )

See fread.

Definition at line 49 of file pandaIOStream.cxx.

## ◆ Seek()

aiReturn PandaIOStream::Seek | ( | size_t | pOffset,
|  | aiOrigin | pOrigin )

See fseek.

Definition at line 64 of file pandaIOStream.cxx.

## ◆ Tell()

size_t PandaIOStream::Tell | ( |  | ) | const

See ftell.

Definition at line 95 of file pandaIOStream.cxx.

## ◆ Write()

size_t PandaIOStream::Write | ( | const void * | buffer,
|  | size_t | size,
|  | size_t | count )

See fwrite.

Definition at line 103 of file pandaIOStream.cxx.

## Friends And Related Symbol Documentation

## ◆ PandaIOSystem

friend class PandaIOSystem
| friend

Definition at line 42 of file pandaIOStream.h.

The documentation for this class was generated from the following files:

- pandatool/src/assimp/pandaIOStream.h
- pandatool/src/assimp/pandaIOStream.cxx